<template>
  <v-container>
    <h1>Les activités proposées</h1>
    <v-tabs background-color="transparent" centered optional>
      <template v-for="activity in activities">
        <v-tab
          :key="activity.slug"
          :to="`/club/activites/${activity.slug}`"
          nuxt
        >
          {{ activity.title }}
        </v-tab>
      </template>
    </v-tabs>
    <nuxt-child :key="$route.params.activity" />
  </v-container>
</template>

<script>
export default {
  async asyncData({ $content }) {
    return {
      activities: await $content('activities').only(['slug', 'title']).fetch(),
    }
  },

  head() {
    return {
      title: 'Les activités',
    }
  },
}
</script>
